Neil Turner's Blog

Blogging about technology and randomness since 2002

Holding out for an update

If you’ve been holding off updating to Firefox 1.5 beta 1 because of problems with extensions not working, then you’ll be pleased to know that the situation is improving. The following is a list of the extensions I have installed and what works – I’ve highlighted where updates are available but they need to be downloaded manually:

So out of the 9 extensions I have installed, 2 were already working, 4 needed updates and the other 3 still don’t work. And of those 3, Web Developer Toolbar is the only one that I really miss – I don’t use Greasemonkey that much and Firesomething is just a bit of fun. I’m sure that the rest will be updated soon.
Web Developer Toolbar has been updated to 0.9.4, which is 1.5-beta1-compatible, and there’s a beta of Greasemonkey available that works. That just leaves Firesomething.
Oh, and for Thunderbird 1.5 beta 1:

  • Buttons! – compatible
  • Webmail – compatible
  • Hotmail – compatible

So, yay on that front ๐Ÿ™‚

9 Comments

  1. I love Greasemonkey, and I really miss it.

  2. A beta version of Greasemonkey has been released that is Firefox 1.5 compatible.

  3. Link Toolbar 1.1.0.1 is compatible; we just haven’t told anyone.

  4. I am using Firefox beta 1 with the Web developer Toolbar and it seems to be working ok. Try the [Nightly Tester Tools](http://users.blueprintit.co.uk/~dave/web/firefox/buildid/nightly.html) extension.

  5. Don’t use Adblock, use Adblock Plus: http://bene.sitesled.com/adblock.htm. As well as being an extended version of Adblock with some nifty extra features, it works with Firefox 1.5 Beta 1.

  6. Hey Neil, I’ve just tried to install the Webmail 0.3.4 and Hotmail 0.4.3 extensions in Thunderbird 1.5 beta 1 with no succes. Not compatible, it says… ๐Ÿ™

  7. aarfing: go here and download the newer versions – they work for me. The web site is a bit out of date and only has the old non-1.5-compatible versions on it.

  8. Correction: URL for Adblock Plus is: http://bene.sitesled.com/adblock.htm

  9. A nifty extension you may not have seen before is TargetAlert. I love it. No idea if it’s 1.5 compatible though.